Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.discovery
Class GetRecordsDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
                  org.deegree.ogcwebservices.csw.discovery.GetRecordsDocument

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetRecordsDocument_2_0_2

    public class GetRecordsDocument

extends AbstractCSWRequestDocument

Represents an XML GetRecords document of an OGC CSW 2.0.0 and 2.0.1 compliant service.

Version:
  $Revision: 9307 $, $Date: 2007-12-21 08:37:43 +0100 (Fr, 21 Dez 2007) $
Author:
  Torsten Friebe , Markus Schneider , last edited by: $Author: apoth $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GetRecordsDocument()`

Method Summary
`protected void` | `checkReferencedVariables(ComplexFilter constraint, Map<String,QualifiedName> variables)` Iterates over the Operations of a complexfilter to find if non declared variables are used.
`(package private) void` | `createEmptyDocument()`
`protected void` | `findNonDeclaredVariables(AbstractOperation operation, Map<String,QualifiedName> variables)` (Recursively) finds a reference to a non declared variable in the propertyname of the given operation.
`protected void` | `findNonDeclaredVariables(PropertyName propName, Map<String,QualifiedName> variables)` Parse the string representation of the the propertyname to find a variable reference to a non declared Variable.
`void` | `findVariablesInTypeName(String typeName, Node queryNode, List<QualifiedName> typeNames, Map<String,QualifiedName> variables, boolean bindTypeNameToNS)` Helper method to find any declared variables in given Query/@typeNames
`protected boolean` | `isEbrimDefined(Node contextNode)`
`GetRecords` | `parse(String id)` Extracts a `GetRecords` representation of this object.
`QualifiedName` | `parseQNameFromString(String typeName, Node queryNode, boolean bindTypeNameToNS)`

Methods inherited from class org.deegree.ogcwebservices.csw.AbstractCSWRequestDocument
`parseDRMParams`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetRecordsDocument

    public GetRecordsDocument()

Method Detail

### parse

    public GetRecords parse(String id)
                     throws OGCWebServiceException

  Extracts a `GetRecords` representation of this object.

  Parameters:
    `id` - unique ID of the request
  Returns:
    GetRecords representation of this object
  Throws:
    `MissingParameterValueException`
    `InvalidParameterValueException`
    `OperationNotSupportedException` - if an CqlText constrained is requested
    `OGCWebServiceException` - if something else went wrong

### isEbrimDefined

    protected boolean isEbrimDefined(Node contextNode)

  Parameters:
    `contextNode` -
  Returns:
    true if the namespace "urn:oasis:names:tc:ebxml- regrep:xsd:rim:3.0" was found in one of the nodes of the dom-tree.

### findVariablesInTypeName

    public void findVariablesInTypeName(String typeName,
                                        Node queryNode,
                                        List<QualifiedName> typeNames,
                                        Map<String,QualifiedName> variables,
                                        boolean bindTypeNameToNS)
                                 throws OGCWebServiceException,
                                        URISyntaxException

  Helper method to find any declared variables in given Query/@typeNames

  Parameters:
    `typeName` - the type name to test
    `queryNode` - the querynode (used to find a given prefix)
    `typeNames` - a list to save the typeName (as QualifiedNames) in
    `variables` - a Map containing the vars/QualifiedName mappings
    `bindTypeNameToNS` - if the namespaces should be bounded to the typeNames
  Throws:
    `URISyntaxException` - if the prefix is not bound to a namespace
    `OGCWebServiceException` - if a variable name is unambiguous

### parseQNameFromString

    public QualifiedName parseQNameFromString(String typeName,
                                              Node queryNode,
                                              boolean bindTypeNameToNS)
                                       throws URISyntaxException

  Parameters:
    `typeName` - to be transformed to a QName
    `queryNode` - needed to get the namespace
    `bindTypeNameToNS` - if true the namespace will be bound to the qualified name
  Returns:
    a QualifiedName representing the typeName
  Throws:
    `URISyntaxException`

### checkReferencedVariables

    protected void checkReferencedVariables(ComplexFilter constraint,
                                            Map<String,QualifiedName> variables)
                                     throws OGCWebServiceException

  Iterates over the Operations of a complexfilter to find if non declared variables are used.

  Parameters:
    `constraint` -
    `variables` -
  Throws:
    `OGCWebServiceException`

### findNonDeclaredVariables

    protected void findNonDeclaredVariables(AbstractOperation operation,
                                            Map<String,QualifiedName> variables)
                                     throws OGCWebServiceException

  (Recursively) finds a reference to a non declared variable in the propertyname of the given operation.

  Parameters:
    `operation` - to be checked
    `variables` - which were declared
  Throws:
    `OGCWebServiceException` - if such a reference is found

### findNonDeclaredVariables

    protected void findNonDeclaredVariables(PropertyName propName,
                                            Map<String,QualifiedName> variables)
                                     throws OGCWebServiceException

  Parse the string representation of the the propertyname to find a variable reference to a non declared Variable.

  Parameters:
    `propName` - to check
    `variables` - which were declared
  Throws:
    `InvalidParameterValueException` - if such a reference was found.
    `OGCWebServiceException`

### createEmptyDocument

    void createEmptyDocument()
                       throws IOException,
                              SAXException

  Throws:
    `IOException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org